
@import url('https://fonts.googleapis.com/css2?family=Pinyon+Script&family=Rubik+Bubbles&family=Rubik+Distressed&family=Tektur:wght@400..900&family=UnifrakturMaguntia&display=swap');
:root{
--kolor-podstawowy: #bdbdbd;
--kolor-uzupelniący: #4A576C;
--kolor-ciemny: #00122A;
--kolor-jasny: #ffffff;
}
*{
    transition: 1s;
    box-sizing: border-box; 
}
html{
    scroll-behavior: smooth; 
}
body{
     font-family: "Montseratt";
     
}

a{
    text-decoration: none;
}
img{
    max-width: 100%; 
    height: auto;
    border-radius: 5px;
}
    .bold {
    font-weight: bold; 
  
}

.tekst-box {
    font-family: "Montseratt Alternates", sans-serif;
    line-height: 140%;
    font-weight: 300;
    color: var(--kolor-ciemny);
    font-size: 16px;
    line-height: 1.6;
border: 1px solid rgba(255, 255, 255, 0.50);
background: linear-gradient(140deg, rgba(217, 217, 217, 0.00) 56.4%, rgba(137, 205, 227, 0.01) 102.9%);
box-shadow: 0 4px 34px 0 rgba(0, 0, 0, 0.65);
backdrop-filter: blur(17.5px);

  padding: 15px;
  border-radius: 16px;

  max-width: 420px;
  text-align: left;

  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.15);
}
p{
    font-family: "Montseratt Alternates", sans-serif;
    line-height: 140%;
    font-weight: 300;
    color: var(--kolor-ciemny);
    font-size: 16px;
    line-height: 1.6;
}

h1{
    text-align: center;
}
h2{
  color: #00122A;
font-family: "Tektur";
font-size: 30px;
font-style: normal;
font-weight: 400;
line-height: normal;
letter-spacing: 2.4px;
margin-bottom: 20px; 
    margin-top: 15px;
}
h3{
    font-size: 20px;
    font-family: "Montseratt Alternates", sans-serif;
    font-weight: 100;
    margin: 10px 0;
    color: var(--kolor-ciemny);
    
}
h4{
    color: #00122A;
font-family: "Tektur";
font-size: 30px;
font-style: normal;
font-weight: 400;
line-height: normal;
letter-spacing: 2.4px;

}
h5{
     color: var(--kolor-ciemny);
font-family: "Tektur";
font-size: 40px;
font-style: normal;
font-weight: 400;
line-height: normal;
letter-spacing: 2.4px;}

h6{
     color: var(--kolor-uzupelniący);
font-family: "Montseratt";
font-size: 14px;
font-style: normal;}

nav{
    border: 1px solid rgba(255, 255, 255, 0.50);
    box-shadow: 0 12px 34px 0 rgba(0, 0, 0, 0.09);
    backdrop-filter: blur(7.5px);
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    width: 100%; 
    z-index: 1;
    font-family: "Tektur";
    background-color: rgba(255,255,255,0.1);
}
nav ol{
    max-width: 1200px;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 2vw; 
}
nav ol li{
    flex: 1;
}
nav ol li a{
    color:var(--kolor-ciemny);
    padding: 10px;
    display: block;
    text-align: center;
}
nav ol li a:hover{
    color: var(--kolor-ciemny);
    display: block;
    text-align: center;
}
nav ol li a:hover{
    color: var(--kolor-uzupelniący);
    background-color: var(--kolor-jasny);
     transition: all 0.3s ease;
}


section{
    min-height: 80vh;
    display: flex;
    flex-direction: column;
    gap: 4vh;
    padding-top: 4vh;
    align-items: center;
    justify-content: center;
    scroll-margin-top: 56px; 
}
.zawartosc{
    max-width: 1200px;
    width: 100%;
    padding: 20px;
}

#pierwsza{
    background: url('../img/sekcja1.png') no-repeat center;
    min-height: 100vh;
    background-size: cover;
}
#pierwsza .zawartosc{
    background: none;
    display: flex;
    flex-direction: column;
    gap: 6vh;
    justify-content: center;
    align-items: center;
}

#pierwsza h1{
    color: #00122A;
    mix-blend-mode: soft-light;

    text-align: center;
    font-family: "Tektur";
    font-size: 120px;
    font-style: normal;
    font-weight: 600;
    line-height: 80%;
    letter-spacing: 6px;
}

#pierwsza h1 span{
    font-weight: 700;
    color:var(--kolor-uzupelniący);
    font-size: 70px;
}
#pierwsza h1 span:hover{
background-color: var(--kolor-podstawowy);
color: var(--kolor-ciemny);
border-radius: 40px;

}

#pierwsza a{
background-color:var(--kolor-ciemny) ;
   display: block;
   padding: 20px;
    border-radius: 40px;
    color:var(--kolor-jasny);
     transition: all 0.3s ease;
}
#pierwsza a:hover {
    background-color: var(--kolor-jasny); 
    color: var(--kolor-ciemny);

   
}
#pierwsza article {
  color: #00122A;
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  font-weight: 300;
  line-height: 140%;


}

#pierwsza article span {
    font-weight: 700;
    font-family: 'Montserrat', sans-serif;
    color:var(--kolor-jasny);
    font-size: 16px;
}
#druga{
    background-color: #FEFFFF;
}
#druga .zawartosc {
    background-color: #FEFFFF;
    display: flex;
    gap: 20px;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap; 
    font-family: "Montserrat";
}

#druga article {
    flex: 0 1 250px;
    display: flex;
    flex-direction: column;
}

#druga article img {
    width: 100%;
    height: 350px;
    object-fit: cover;
    border-radius: 8px;
    filter: brightness(60%); 
    transition: filter 0.2s ease-in-out, transform 0.2s ease-in-out;
}

#druga article img:hover {

    filter: brightness(100%); 
    
  
    transform: scale(1.03); 
    cursor: pointer;
}
      


#trzecia {

   background-image: url("../img/icicles.png"); 
    background-size: cover;
    background-position: center;
    height: 60vh;
}
.container {
  max-width: 800px; 
  margin: 0 auto;   
  padding: 0 20px;  
  align-items: center;
}
#czwarta {
   background-image: url("C:\Users\Msi\Desktop\Stypuła Zuzanna One page 4\img\lodowisko.png");
    background-color: var(--kolor-ciemny);
   
    background-size: cover;
    background-position: center;

 
    display: flex !important; 
    flex-direction: row;     
    justify-content: center;  
    align-items: flex-start;       
    gap: 20px;                 
    padding: 50px;
    width: 100%;                
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;       
    justify-content: center;
    align-content: center;
    gap: 20px;
    
    padding: 20px;}

     #czwarta p {
    color: white;


    
}
 #czwarta h4 {
    color: white;
 }
 .element {
    border: 1px solid rgba(255, 255, 255, 0.50);
    background: var(--kolor-ciemny);
    backdrop-filter: blur(17.5px);
    height: auto;
    flex: 1 1 300px;       
    max-width: 450px;     
    box-sizing: border-box;
    flex: 1;                  
    max-width: 400px;          
    min-width: 250px;          
    padding: 30px;
    box-sizing: border-box;    
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
    border-radius: 15px;
    align-content: center;


 
 }

#piata{
     background-image: url("../img/lodowisko.png");
    background-size:cover;
    font-family: "Tektur";
    text-align: center;
    mix-blend-mode: overlay;
    font-size: 100px;
    font-weight: 900; }

#piata .zawartosc .tytul{
    
font-family: "Tektur";
font-size: 96px;
font-style: normal;
font-weight: 700;
text-align: center;
line-height: normal;
letter-spacing: 4.8px;
 mix-blend-mode: soft-light;
text-shadow: 0 4px 4px rgba(0, 0, 0, 0.50);
}

#stopka{
    background-color: #00122A;
     color: var(--kolor-jasny);
    min-height: 20vh;
    padding-bottom: 4vh;
}
#stopka .zawartosc{
    
     display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    color: #FEFFFF;
}
#stopka article{
    background-color: var(--kolor-ciemny); 
    flex: 1 1 300px;
    padding: 20px;
    border-radius: 10px;
    
}


#stopka article p {
    color: white; 
}

#stopka article a {
    display: block;
    padding: 10px 0;
    color: white; 
    font-weight: 600;
}

 #stopka article h4 {
    color: white;

}

#stopka a{
background-color:var(--kolor-ciemny) ;
   display: block;
   padding: 20px;
    border-radius: 40px;
    color:var(--kolor-jasny);
     transition: all 0.3s ease;
}
    #pierwsza a:hover{
    background-color: var(--kolor-jasny); 
    color: var(--kolor-ciemny);
    }



